# GetBucketLogging

## Request Syntax <a href="#api_getbucketlogging_requestsyntax" id="api_getbucketlogging_requestsyntax"></a>

```http
GET /?logging HTTP/1.1
Host: Bucket.s3.petabox.io
x-amz-expected-bucket-owner: ExpectedBucketOwner
```

## URI Request Parameters <a href="#api_getbucketlogging_requestparameters" id="api_getbucketlogging_requestparameters"></a>

The request uses the following URI parameters.

#### Bucket

The bucket name for which to get the logging information.

Required: Yes

#### x-amz-expected-bucket-owner

The account ID of the expected bucket owner. If the bucket is owned by a different account, the request fails with the HTTP status code `403 Forbidden` (access denied).

## Request Body <a href="#api_getbucketlogging_requestbody" id="api_getbucketlogging_requestbody"></a>

The request does not have a request body.

## Response Syntax <a href="#api_getbucketlogging_responsesyntax" id="api_getbucketlogging_responsesyntax"></a>

```xml
HTTP/1.1 200
<?xml version="1.0" encoding="UTF-8"?>
<BucketLoggingStatus>
   <LoggingEnabled>
      <TargetBucket>string</TargetBucket>
      <TargetGrants>
         <Grant>
            <Grantee>
               <DisplayName>string</DisplayName>
               <EmailAddress>string</EmailAddress>
               <ID>string</ID>
               <xsi:type>string</xsi:type>
               <URI>string</URI>
            </Grantee>
            <Permission>string</Permission>
         </Grant>
      </TargetGrants>
      <TargetPrefix>string</TargetPrefix>
   </LoggingEnabled>
</BucketLoggingStatus>
```

## Response Elements <a href="#api_getbucketlogging_responseelements" id="api_getbucketlogging_responseelements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in XML format by the service.

#### BucketLoggingStatus

Root level tag for the BucketLoggingStatus parameters.

Required: Yes

#### LoggingEnabled

Describes where logs are stored and the prefix that Petabox assigns to all log object keys for a bucket.&#x20;

Type: LoggingEnabled data type

## Examples <a href="#api_getbucketlogging_examples" id="api_getbucketlogging_examples"></a>

### Sample Request <a href="#api_getbucketlogging_example_1" id="api_getbucketlogging_example_1"></a>

The following request returns the logging status for `mybucket`.

```http
GET ?logging HTTP/1.1
Host: mybucket.s3.<Region>.petabox.io
Date: Wed, 25 Nov 2009 12:00:00 GMT
Authorization: authorization string
```

### Sample Response: Showing an enabled logging status <a href="#api_getbucketlogging_example_2" id="api_getbucketlogging_example_2"></a>

This example illustrates one usage of GetBucketLogging.

```http
HTTP/1.1 200 OK
Date: Wed, 25 Nov 2009 12:00:00 GMT
Connection: close
Server: Petabox

<?xml version="1.0" encoding="UTF-8"?>
<BucketLoggingStatus xmlns="http://doc.s3.petabox.io/2006-03-01">
 <LoggingEnabled>
  <TargetBucket>mybucketlogs</TargetBucket>
  <TargetPrefix>mybucket-access_log-/</TargetPrefix>
    <TargetGrants>
      <Grant>
       <Grantee xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:type="PetaboxCustomerByEmail">
        <EmailAddress>user@company.com</EmailAddress>
       </Grantee>
       <Permission>READ</Permission>
     </Grant>
    </TargetGrants>
</LoggingEnabled>
</BucketLoggingStatus>
```

### Sample Response: Showing a disabled logging status <a href="#api_getbucketlogging_example_3" id="api_getbucketlogging_example_3"></a>

This example illustrates one usage of GetBucketLogging.

```http
HTTP/1.1 200 OK
Date: Wed, 25 Nov 2009 12:00:00 GMT
Connection: close
Server: Petabox

<?xml version="1.0" encoding="UTF-8"?>
<BucketLoggingStatus xmlns="http://doc.s3.petabox.io/20
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.petabox.io/http-api-compatible-with-amazon-s3/api-reference/getbucketlogging.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
